Skip to main content
GET
/
traces
/
dashboard
List dashboard traces
curl --request GET \
  --url https://api.example.com/traces/dashboard \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "otel_trace_id": "<string>",
      "project_id": "<string>",
      "service_name": "<string>",
      "agent_name": "<string>",
      "thread_id": "<string>",
      "thread_trace_count": 123,
      "agent_input_display": "<string>",
      "has_error": true,
      "span_count": 123,
      "total_duration_ms": 123,
      "created_at": "<string>",
      "updated_at": "<string>",
      "agent_input": null,
      "agent_output": null
    }
  ],
  "total": 123,
  "next_cursor": {
    "created_at": "<string>",
    "id": "<string>",
    "span_count": 123,
    "total_duration_ms": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

project_id
string
required

Project ID.

limit
integer

Maximum number of records to return.

Required range: x >= 1
cursor
string

Pagination cursor.

agent_name
string

Agent name filter.

sort
string

Sort order.

Response

Dashboard traces

data
object[]
required
total
number
required
next_cursor
object
required